Coupons Migration: Ubercart to Commerce
-----------------------------------------

# Drush Batch Commands Migrating Coupons from Ubercart to Commerce.

This module provides a custom Drush command to facilitate the
migration of coupons from Ubercart to Drupal Commerce.

## Table of contents (TOC)

- Requirements
- Installation
- Commands
- Usage
- Maintainers

## Requirements

To use this module, ensure the following dependencies are installed:
Drush: Command-line utility for Drupal.
Commerce: Drupal Commerce module.
Commerce Promotion: Module for managing promotions in Drupal Commerce.
Commerce Product:  Module for managing products in Drupal Commerce.
Commerce Store: Module for managing stors in Drupal Commerce.

## INSTALLATION

*Install as you would normally install a contributed Drupal module. Visit
  [Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules) for further information.


## Commands
-------------

This module provides the following Drush command:
drush migrate-coupons <legacy-db-key>

Arguments:
<legacy-db-key>: The key for the Drupal 7 database connection,
as defined in your settings.php file.

  
# To use

Before running the migration, ensure you have a complete
Commerce setup, including:
A store
Products
Product variations

To migrate all active coupons from Ubercart to Drupal Commerce,
Use the following command:
"drush migrate-coupons migrate"

This will transfer active coupons from the Ubercart setup in the specified
Legacy database to the Commerce setup in your current Drupal instance.


# Maintainers

- Pankaj kumar  - (https://www.drupal.org/u/pankaj_lnweb)
- Shikha Dawar  - (https://www.drupal.org/u/shikha_lnweb)
- Vivek kumar  - (https://www.drupal.org/u/vivek_lnwebworks)
- Aman Naudiyal  - (https://www.drupal.org/u/amanln_webworks)
